REST APIPublic API
Vaults
List Upshift tokenized vaults, read a single vault, and calculate its annualized APY.
Get Tokenized Vaults
Query Parameters
status?Status
Filter vaults by status (e.g. active, closed)
load_subaccounts?Load SubaccountsDeprecated
Load subaccounts and EOA operators for vault. (May affect performance)
Default
trueload_snapshots?Load SnapshotsDeprecated
Load historical snapshots for vault. (Will significantly affect performance). Use /{vault_address}/historical-timeseries instead
Default
trueResponse Body
curl -X GET "https://api.upshift.finance/v1/tokenized_vaults?status=active&load_subaccounts=true&load_snapshots=true"[
{
"address": "string",
"yield_distributor": "string",
"chain": 0,
"description": "string",
"internal_type": "string",
"public_type": "string",
"is_featured": false,
"is_visible": true,
"weekly_performance_fee_bps": 0,
"platform_fee_override": {},
"start_datetime": "2019-08-24T14:15:22Z",
"vault_name": "string",
"reserve_target": 0.05,
"reserve_tolerance": 0.01,
"withdrawal_alert_threshold": 1,
"withdrawal_alert_channels": "string",
"status": "active",
"is_charge_fees_manual": false,
"receipt_token_symbol": "string",
"enable_external_assets_update": false,
"is_distributor_fee_wrapper": false,
"vault_logo_url": "string",
"risk": "string",
"max_daily_drawdown": 0,
"chain_type": "evm",
"enabled_historical_price_horizons": [
0
],
"is_spotlighted": false,
"show_cap_filled": false,
"withdrawal_only": false,
"historical_apy": {
"property1": 0,
"property2": 0
},
"default_apy_horizon": 0,
"iat_traders": [
"string"
],
"withdrawal_margin_seconds": 0,
"management_fee_waived_until_date": "2019-08-24T14:15:22Z",
"management_fee_waived_until_tvl": 0,
"performance_fee_waived_until_date": "2019-08-24T14:15:22Z",
"performance_fee_waived_until_tvl": 0,
"nav_base_asset_token_id": "cfe7a987-9cb7-4be1-b8f8-cc3b2da619d9",
"nav_pricing_overrides": {},
"apy_override": {},
"max_drawdown": false,
"latest_reported_tvl": false,
"campaign_apy": 0,
"metrics_last_updated": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"solana_vault_metadata": {
"vault_state_pda": "string",
"share_mint": "string",
"deposit_mint": "string",
"deposit_token_symbol": "string",
"deposit_token_decimals": 0,
"program_id": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"stellar_vault_metadata": {
"deposit_token_address": "string",
"deposit_token_symbol": "string",
"deposit_token_decimals": 0,
"network_name": "mainnet",
"utila_vault_id": "string",
"utila_wallet_id": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"instant_redeem_config": {
"subaccount_address": "string",
"output_asset_symbol": "string",
"is_paused": false,
"available_liquidity": 0,
"redeemable_assets": [
null
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"view_type": "all",
"rewards": [],
"reported_apy": {
"apy": 0,
"underlying_apy": 0,
"liquid_apy": 0,
"rewards_compounded": 0,
"rewards_claimable": 0,
"explainer": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"receipt_token_integrations": [
{
"address": "string",
"chain": 0,
"token_class": "string",
"shorthand": "string",
"symbol": "string",
"tiingo_ticker": "string",
"coingecko_id": "string",
"img_url": "string",
"is_transferable": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"position_id": "a92aa83d-7963-4315-8d81-5d1c5b730d9d",
"stable_token_pair_id": "0d2a4cbf-4f0a-4210-bf42-d452cb10ed5f"
}
],
"hardcoded_strategists": [
{
"strategist_name": "string",
"strategist_logo": "string",
"website_url": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
],
"composability_integrations": [],
"cached_at": "2019-08-24T14:15:22Z",
"freshness": {
"apy_computed_at": "2019-08-24T14:15:22Z",
"share_ratio_snapshot_at": "2019-08-24T14:15:22Z",
"cached_at": "2019-08-24T14:15:22Z"
},
"historical_snapshots": [],
"subaccounts": [],
"eoa_operators": [],
"historical_compound_apy": {
"property1": 0,
"property2": 0
},
"tvl": 0,
"pnl_per_share": {
"property1": 0,
"property2": 0
},
"daily_pnl_per_share": {
"property1": 0,
"property2": 0
},
"operators": [
{
"address": "string",
"operator_type": "subaccount"
}
]
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Tokenized Vault
Path Parameters
vault_addressVault Address
Query Parameters
load_subaccounts?Load Subaccounts
Load subaccounts and EOA operators for vault. (May affect performance)
Default
trueload_snapshots?Load SnapshotsDeprecated
Load historical snapshots for vault. (Will significantly affect performance). Use /{vault_address}/historical-timeseries instead
Default
trueResponse Body
curl -X GET "https://api.upshift.finance/v1/tokenized_vaults/string?load_subaccounts=true&load_snapshots=true"{
"address": "string",
"yield_distributor": "string",
"chain": 0,
"description": "string",
"internal_type": "string",
"public_type": "string",
"is_featured": false,
"is_visible": true,
"weekly_performance_fee_bps": 0,
"platform_fee_override": {},
"start_datetime": "2019-08-24T14:15:22Z",
"vault_name": "string",
"reserve_target": 0.05,
"reserve_tolerance": 0.01,
"withdrawal_alert_threshold": 1,
"withdrawal_alert_channels": "string",
"status": "active",
"is_charge_fees_manual": false,
"receipt_token_symbol": "string",
"enable_external_assets_update": false,
"is_distributor_fee_wrapper": false,
"vault_logo_url": "string",
"risk": "string",
"max_daily_drawdown": 0,
"chain_type": "evm",
"enabled_historical_price_horizons": [
0
],
"is_spotlighted": false,
"show_cap_filled": false,
"withdrawal_only": false,
"historical_apy": {
"property1": 0,
"property2": 0
},
"default_apy_horizon": 0,
"iat_traders": [
"string"
],
"withdrawal_margin_seconds": 0,
"management_fee_waived_until_date": "2019-08-24T14:15:22Z",
"management_fee_waived_until_tvl": 0,
"performance_fee_waived_until_date": "2019-08-24T14:15:22Z",
"performance_fee_waived_until_tvl": 0,
"nav_base_asset_token_id": "cfe7a987-9cb7-4be1-b8f8-cc3b2da619d9",
"nav_pricing_overrides": {},
"apy_override": {},
"max_drawdown": false,
"latest_reported_tvl": false,
"campaign_apy": 0,
"metrics_last_updated": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"solana_vault_metadata": {
"vault_state_pda": "string",
"share_mint": "string",
"deposit_mint": "string",
"deposit_token_symbol": "string",
"deposit_token_decimals": 0,
"program_id": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"stellar_vault_metadata": {
"deposit_token_address": "string",
"deposit_token_symbol": "string",
"deposit_token_decimals": 0,
"network_name": "mainnet",
"utila_vault_id": "string",
"utila_wallet_id": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"instant_redeem_config": {
"subaccount_address": "string",
"output_asset_symbol": "string",
"is_paused": false,
"available_liquidity": 0,
"redeemable_assets": [
null
],
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"view_type": "all",
"rewards": [],
"reported_apy": {
"apy": 0,
"underlying_apy": 0,
"liquid_apy": 0,
"rewards_compounded": 0,
"rewards_claimable": 0,
"explainer": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"tokenized_vault_id": "45b03069-214b-488d-940c-77c108680385"
},
"receipt_token_integrations": [
{
"address": "string",
"chain": 0,
"token_class": "string",
"shorthand": "string",
"symbol": "string",
"tiingo_ticker": "string",
"coingecko_id": "string",
"img_url": "string",
"is_transferable": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"position_id": "a92aa83d-7963-4315-8d81-5d1c5b730d9d",
"stable_token_pair_id": "0d2a4cbf-4f0a-4210-bf42-d452cb10ed5f"
}
],
"hardcoded_strategists": [
{
"strategist_name": "string",
"strategist_logo": "string",
"website_url": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
],
"composability_integrations": [],
"cached_at": "2019-08-24T14:15:22Z",
"freshness": {
"apy_computed_at": "2019-08-24T14:15:22Z",
"share_ratio_snapshot_at": "2019-08-24T14:15:22Z",
"cached_at": "2019-08-24T14:15:22Z"
},
"historical_snapshots": [],
"subaccounts": [],
"eoa_operators": [],
"historical_compound_apy": {
"property1": 0,
"property2": 0
},
"tvl": 0,
"pnl_per_share": {
"property1": 0,
"property2": 0
},
"daily_pnl_per_share": {
"property1": 0,
"property2": 0
},
"operators": [
{
"address": "string",
"operator_type": "subaccount"
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get annualized APY
Calculate annualized APY for a specific vault.
⚠️ Deprecation Notice:
- The `hgETH30dLiquidAPY` and `hgETH7dLiquidAPY` fields are deprecated
- These fields will be removed on 2026-01-01
- Use `liquidAPY30Day` and `liquidAPY7Day` fields instead
Supported Vaults: cUSDO, tETH, wstETH, rsETHPath Parameters
vault_addressVault Address
Response Body
curl -X GET "https://api.upshift.finance/v1/tokenized_vaults/string/annualized_apy"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}